You are not logged in.

#3401 2020-04-29 19:48:18

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

I believe here are the dependencies of imagemagick on Debian Sid.
If you compare the dependencies on Arch and Debian, I think you can find some good candidates for the Debian script misfire.


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3402 2020-04-29 19:53:11

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

well adding inkscape (which adds the above as dependencies) does clean up the image errors.

Not to find out why ... will check TEO's list.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3403 2020-04-29 20:04:12

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

I have already done that in sid(uction) and I still don't get any success...   monkey

Offline

#3404 2020-04-29 20:07:52

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

@ Teo

imagemagick and imagemagick-6.q16 are different packages.

having both without inkscape and we still get errors.

Checking ARCH list.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3405 2020-04-29 20:17:46

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Ok, you get the idea, whatever list Sid's imagemagick has then.
If you compare the two lists and install on Sid what's missing from Arch, maybe you'll get lucky.


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3406 2020-04-29 20:19:43

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

So I tried to get the ARCH list of dependencies... no go.

 29 Apr 20 @ 17:14:05 ~
   $ get fontconfig lcms2 libtool libpng libraqm libxext libxml2 ghostscript imagemagick-doc libheif libraw librsvg libwebp libwmf libxml2 ocl-icd openexr openjpeg2 pango chrpath ghostpcl ghostscript ghostxps glu jbigkit lcms2 libheif liblqr libpng libraqm libraw librsvg libwebp libwmf libxext libxml2 ocl-icd opencl-headers openexr openjpeg2 gsfonts ttf-dejavu
[sudo] password for sector11: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package lcms2
E: Unable to locate package libpng
E: Unable to locate package libraqm
E: Unable to locate package libxext
E: Unable to locate package libheif
E: Unable to locate package libraw
E: Unable to locate package librsvg
E: Unable to locate package libwebp
E: Unable to locate package libwmf
E: Unable to locate package ocl-icd
E: Unable to locate package openjpeg2
E: Unable to locate package pango
E: Unable to locate package ghostpcl
E: Unable to locate package ghostxps
E: Unable to locate package glu
E: Unable to locate package jbigkit
E: Unable to locate package lcms2
E: Unable to locate package libheif
E: Unable to locate package liblqr
E: Unable to locate package libpng
E: Unable to locate package libraqm
E: Unable to locate package libraw
E: Unable to locate package librsvg
E: Unable to locate package libwebp
E: Unable to locate package libwmf
E: Unable to locate package libxext
E: Unable to locate package ocl-icd
E: Unable to locate package openjpeg2
 
 29 Apr 20 @ 17:14:18 ~
   $ 

Moral of this story:

Debian users: Install inkscape - much easier!

Errors gone!


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3407 2020-04-29 20:30:13

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Fair enough.
So, to sum it all up, debian users should install inkscape and python-scour, right?

Last edited by TeoBigusGeekus (2020-04-29 20:30:33)


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3408 2020-04-29 20:31:27

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

@ TEO et al

I stand corrected ...

the package imagemagic is as dummy package that loads:

imagemagick-6.q16

and look at this:

 29 Apr 20 @ 17:27:26 ~
   $ dep graphicsmagick-imagemagick-compat
alias dep=apt-cache depends
graphicsmagick-imagemagick-compat
  Depends: graphicsmagick
  Conflicts: imagemagick
    imagemagick:i386
    imagemagick-6.q16:i386
    imagemagick-6.q16
  Replaces: imagemagick
    graphicsmagick-imagemagick-compat
    imagemagick:i386
    imagemagick-6.q16:i386
    imagemagick-6.q16

More testing.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3409 2020-04-29 20:39:39

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

removed imagemagick and inkscape and installed: graphicsmagick-imagemagick-compat

errors back but simpler "looking" now:

Conky: drawing to double buffer
HTTP request sent, awaiting response... HTTP request sent, awaiting response... convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
convert convert: Non-conforming drawing primitive definition (use).
200 OK
Length: unspecified [text/xml]
Saving to: ‘STDOUT’

And weather scripts working perfect!


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3410 2020-04-29 20:55:54

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

After all that ... the simplest thing for Debian users:

install: inkscape & imagemagick-6.q16

or

install: inkscape and the dummy package: imagemagick


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3411 2020-04-30 05:51:20

ohnonot
...again
Registered: 2015-09-29
Posts: 4,936
Website

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Sector11 wrote:

So I tried to get the ARCH list of dependencies... no go.

FWIW, Archlinux package names rarely translate to Debian package names 1:1, a little extra research is necessary.
I agree that the easiest solution is to install inkscape, but that sort of "weird" dependency issue always leaves me unsatisfied, would be nice to figure it out.


BL quote proposals to this thread please.
my repos / my repos

Offline

#3412 2020-04-30 07:11:18

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

I concur, it must be a specific package installed as a dependency with inkscape that solves the problem.

@S11
For the package libpng I've found this for example. The names could be a bit different, but they are essentially the same thing.


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3413 2020-04-30 12:36:41

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Hello, friends,

the computer with sid(uction) is running here since today:

who -b | cut -c23-
2020-04-30 11:29

afterwards I started the wetter_com.conky via the terminal. Since then it is updated every 8 minutes. The pictures are all there, there are no errors.

Installed is:
imagemagick 8:6.9.10.23+dfsg-2.1+b2 (the dummy pakage, I could remove that)
imagemagick-6.q16 8:6.9.10.23+dfsg-2.1+b2
libmagickcore-6.q16-6 8:6.9.10.23+dfsg-2.1+b2
libmagickwand-6.q16-6 8:6.9.10.23+dfsg-2.1+b2


Now if anyone asks me if I understand, NO!  big_smile

Offline

#3414 2020-04-30 14:49:47

ceeslans
Member
Registered: 2015-09-30
Posts: 93

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

unklar wrote:

Installed is:
imagemagick 8:6.9.10.23+dfsg-2.1+b2 (the dummy pakage, I could remove that)
imagemagick-6.q16 8:6.9.10.23+dfsg-2.1+b2
libmagickcore-6.q16-6 8:6.9.10.23+dfsg-2.1+b2
libmagickwand-6.q16-6 8:6.9.10.23+dfsg-2.1+b2

Now if anyone asks me if I understand, NO!  big_smile

what about inkscape - installed? or deleted/purged incl deps?

Offline

#3415 2020-04-30 14:58:20

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,444

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

   $ ser scour
alias ser = aptitude search
v   dh-sequence-scour                              -                                                          
p   python-scour                                   - SVG scrubber and optimizer (Python 2 module)             
p   python3-scour                                  - SVG scrubber and optimizer (Python 3 module)             
p   scour                                          - SVG scrubber and optimizer (CLI and debhelper)           
 
 30 Apr 20 @ 11:55:04 ~
   $ 

I have no "scour" installed at all ↑↑↑↑↑, just ↓↓↓↓↓↓:

 30 Apr 20 @ 11:55:04 ~
   $ ser inkscape imagemagick
alias ser = aptitude search
{snipping stuff not relevant}
i A imagemagick-6-common                           - image manipulation programs -- infrastructure            
i   imagemagick-6.q16                              - image manipulation programs -- quantum depth Q16         
i   inkscape                                       - vector-based drawing program                             
 
 30 Apr 20 @ 11:56:46 ~
   $ 

Regarding unclar's post I to have those installed:

 30 Apr 20 @ 11:56:46 ~
   $ ser libmagickcore libmagickwand
alias ser = aptitude search
{snipping stuff not relevant}
i A libmagickcore-6.q16-6                          - low-level image manipulation library -- quantum depth Q16
i   libmagickcore-6.q16-6-extra                    - low-level image manipulation library - extra codecs (Q16)
i A libmagickwand-6.q16-6                          - image manipulation library -- quantum depth Q16          

Last edited by Sector11 (2020-04-30 15:03:12)


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#3416 2020-04-30 15:51:23

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

ceeslans wrote:
unklar wrote:

    Installed is:
    imagemagick 8:6.9.10.23+dfsg-2.1+b2 (the dummy pakage, I could remove that)
    imagemagick-6.q16 8:6.9.10.23+dfsg-2.1+b2
    libmagickcore-6.q16-6 8:6.9.10.23+dfsg-2.1+b2
    libmagickwand-6.q16-6 8:6.9.10.23+dfsg-2.1+b2

    Now if anyone asks me if I understand, NO!  big_smile

what about inkscape - installed? or deleted/purged incl deps?

Start-Date: 2020-04-29  21:34:22
Commandline: apt purge inkscape
Purge: inkscape:amd64 (1.0~rc1-4)
End-Date: 2020-04-29  21:34:42

Start-Date: 2020-04-29  22:01:50
Commandline: apt autoremove
Remove: python3-scour:amd64 (0.37-4), python3-html5lib:amd64 (1.0.1-3), python3-webencodings:amd64 (0.5.1-2), libgdl-3-5:amd64 (3.34.0-1), librevenge-0.0-0:amd64 (0.0.4-6+b1), libgslcblas0:amd64 (2.5+dfsg-6+b1), libwpd-0.10-10:amd64 (0.10.3-1), libpotrace0:amd64 (1.16-2), python3-numpy:amd64 (1:1.18.3-1), libvisio-0.1-1:amd64 (0.1.7-1), libgsl23:amd64 (2.5+dfsg-6+b1), libwpg-0.3-3:amd64 (0.3.3-1), libgdl-3-common:amd64 (3.34.0-1), libenchant-2-2:amd64 (2.2.8-1), enchant-2:amd64 (2.2.8-1), python3-soupsieve:amd64 (2.0-1), python3-lxml:amd64 (4.5.0-1.1), libcdr-0.1-1:amd64 (0.1.6-1), libgtkspell3-3-0:amd64 (3.0.10-1), python3-bs4:amd64 (4.9.0-1)
End-Date: 2020-04-29  22:02:04

Start-Date: 2020-04-29  22:13:57
Commandline: apt purge libimage-magick-perl libimage-magick-q16-perl libmagick++-6.q16-8
Purge: libmagick++-6.q16-8:amd64 (8:6.9.10.23+dfsg-2.1+b2), libimage-magick-perl:amd64 (8:6.9.10.23+dfsg-2.1), libimage-magick-q16-perl:amd64 (8:6.9.10.23+dfsg-2.1+b2)
End-Date: 2020-04-29  22:14:01

Start-Date: 2020-04-29  22:14:35
Commandline: apt purge libmagickcore-6.q16-6-extra
Purge: libmagickcore-6.q16-6-extra:amd64 (8:6.9.10.23+dfsg-2.1+b2)
End-Date: 2020-04-29  22:14:36

Offline

#3417 2020-04-30 16:33:13

loutch
Member
Registered: 2015-12-12
Posts: 442

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

hello

wunderground with google-weather icons

Capture-d-cran-2020-04-30-17-46-36.png

@+


Linuxmint 19.1 Tessa cinnamon & mageia 7 mate on ssd hp pavilion g7
Xubuntu 18.04 lts & 20.04 lts on ASUS Rog STRIX

Offline

#3418 2020-04-30 18:15:14

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

@loutch
It looks very nice loutch, congrats.

@everyone else
Do we have a verdict about the necessary packages on Debian for the weather.com script to work?


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3419 2020-04-30 18:29:07

ceeslans
Member
Registered: 2015-09-30
Posts: 93

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

loutch wrote:

@louch: kindly share your conky config files. How are google-weather icons generated?

Offline

#3420 2020-04-30 19:03:38

loutch
Member
Registered: 2015-12-12
Posts: 442

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

hello

i made the icon with gimp & original wu & google icons

here icons pack

https://drive.google.com/open?id=1gNMjV … e4X8lMDc6T

conkyrc

conky.config = {
background = true,  --true si transparent
	use_xft = true,
	font = 'Liberation Sans:size=7',
	xftalpha = 1,
	update_interval = 1.0,
	total_run_times = 0,
	own_window = true,
	own_window_transparent = false,  
        own_window_argb_visual = true,
        own_window_argb_value = 0,     -- 0 transparent 255 plein
	own_window_type = 'normal',
	own_window_hints = 'undecorated,below,skip_taskbar,skip_pager',
	double_buffer = true,
	minimum_width = 350, minimum_height = 380,
        maximum_width = 350,
	text_buffer_size = 2048,
	draw_shades = false,
	draw_outline = false,
	draw_borders = false,
	draw_graph_borders = false,
	default_color = 'white',
	default_outline_color = 'white',
	alignment = 'top_right',
	gap_x = 00,
	gap_y = 380,
	no_buffers = true,
	uppercase = false,
	cpu_avg_samples = 2,
	override_utf8_locale = true,
        imlib_cache_flush_interval = 60,
	imlib_cache_size = 10000,
	stippled_borders = 5,
        default_shade_color = '#333333',
	default_outline_color = 'black',
        lua_load = '~/.conky/lua/image.lua',



color1 = '00BFFF',
color2 = '00f5ff',
color3 = '828200',
color4 = '323200',
color5 = 'fdb72e',

};

conky.text = [[
${font Arial:size=12}${color1}Sarreguemines ${font}${hr 2}$color${texeci 500 bash $HOME/2_Wunderground/2_wun}
${font Arial:size=10}${texeci 600 sed -n '4p' $HOME/2_Wunderground/curr_cond}${font}${goto 160}${color1}Temp.: $color${alignr}${texeci 600 sed -n '52p' $HOME/2_Wunderground/curr_cond}° (${texeci 600 sed -n '58p' $HOME/2_Wunderground/curr_cond}°)
${goto 160}${color1}Vent:                $color${alignr}${texeci 600 sed -n '82p' $HOME/2_Wunderground/curr_cond} @ ${texeci 600 sed -n '86p' $HOME/2_Wunderground/curr_cond} km/h
${goto 160}${color1}Humidité:            $color${alignr}${texeci 600 sed -n '36p' $HOME/2_Wunderground/curr_cond} %
${goto 160}${color1}Pression:            $color${alignr}${texeci 600 sed -n '26p' $HOME/2_Wunderground/curr_cond} mb ${texeci 600 sed -n '34p' $HOME/2_Wunderground/curr_cond}
${goto 160}${color1}Index UV:            $color${alignr}${texeci 600 sed -n '72p' $HOME/2_Wunderground/curr_cond} /10
${goto 160}${color1}Plafond :            $color${alignr}${execpi 600 sed -n '2p' $HOME/2_Wunderground/curr_cond} m
${goto 160}${color1}Point de rosée:      $color${alignr}${texeci 600 sed -n '56p' $HOME/2_Wunderground/curr_cond}°
${goto 160}${color1}Visibilité:          $color${alignr}${texeci 600 sed -n '78p' $HOME/2_Wunderground/curr_cond} kms
${goto 160}${color1}Soleil:              $color${alignr}de ${texeci 600 sed -n '44p' $HOME/2_Wunderground/curr_cond|cut -c1-5} à ${texeci 600 sed -n '48p' $HOME/2_Wunderground/curr_cond|cut -c1-5}
${goto 160}${color1}Lune:                $color${alignr}de ${texeci 600 sed -n '2p' $HOME/2_Wunderground/moon_data|cut -c1-5} à ${texeci 600 sed -n '3p' $HOME/2_Wunderground/moon_data|cut -c1-5}
${goto 160}${color1}Phase:               $color${alignr}${texeci 600 sed -n '1p' $HOME/2_Wunderground/lune}
${hr 1}${voffset -4}
${goto 20}${font Arial:size=10}${color1}${if_match "${execpi 600 sed -n '2p' $HOME/2_Wunderground/10days}" == "Ce soir"}${goto 20}${execpi 600 sed -n '2p' $HOME/2_Wunderground/10days}\
${goto 145}${execi 3600 echo `date --date="1 day" | awk '{print $1}' | cut -c1-3`}.${execi 3600 echo `date --date="1 day" | awk '{print $2}'`}\
${goto 270}${execi 3600 echo `date --date="2 day" | awk '{print $1}' | cut -c1-3`}.${execi 3600 echo `date --date="2 day" | awk '{print $2}'`}$color$font

${goto 100}${texeci 600 sed -n '12p' $HOME/2_Wunderground/10days}° ${goto 210}${texeci 600 sed -n '110p' $HOME/2_Wunderground/10days}°${goto 330}${texeci 600 sed -n '306p' $HOME/2_Wunderground/10days}°
                                                                   ${goto 210}${texeci 600 sed -n '208p' $HOME/2_Wunderground/10days}°${goto 330}${texeci 600 sed -n '404p' $HOME/2_Wunderground/10days}°

${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/1.png  20 170 40 40}
${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/2.png 140 170 40 40}
${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/4.png 260 170 40 40}
${voffset -50}${font Arial:size=8}
${scroll 20 ${texeci 600 sed -n '30p' $HOME/2_Wunderground/10days}}\
${goto 135}${scroll 20 ${texeci 600 sed -n '128p' $HOME/2_Wunderground/10days}}\
${goto 255}${scroll 20 ${texeci 600 sed -n '324p' $HOME/2_Wunderground/10days}}$font
${else}
${goto 20}${voffset -20}${font Arial:size=10}${color1}${execpi 600 sed -n '2p' $HOME/2_Wunderground/10days}\
${goto 145}${execi 3600 echo `date --date="1 day" | awk '{print $1}' | cut -c1-3`}.${execi 3600 echo `date --date="1 day" | awk '{print $2}'`}\
${goto 270}${execi 3600 echo `date --date="2 day" | awk '{print $1}' | cut -c1-3`}.${execi 3600 echo `date --date="2 day" | awk '{print $2}'`}$color$font

${goto 100}${texeci 600 sed -n '12p' $HOME/2_Wunderground/10days}° ${goto 210}${texeci 600 sed -n '110p' $HOME/2_Wunderground/10days}°${goto 330}${texeci 600 sed -n '306p' $HOME/2_Wunderground/10days}°
                                                                   ${goto 210}${texeci 600 sed -n '208p' $HOME/2_Wunderground/10days}°${goto 330}${texeci 600 sed -n '404p' $HOME/2_Wunderground/10days}°

${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/1.png  20 170 40 40}
${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/3.png 140 170 40 40}
${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/5.png 260 170 40 40}
${voffset -50}${font Arial:size=8}
${scroll 20 ${texeci 600 sed -n '30p' $HOME/2_Wunderground/10days}}\
${goto 135}${scroll 20 ${texeci 600 sed -n '128p' $HOME/2_Wunderground/10days}}\
${goto 255}${scroll 20 ${texeci 600 sed -n '324p' $HOME/2_Wunderground/10days}}$font
${endif}${voffset -10}
${hr 1}${color1}
${voffset -18}${font Arial:size=10}
${goto 20}${execpi 600 sed -n '1p' $HOME/2_Wunderground/hourly |cut -c12-16}\
${goto 145}${execpi 600 sed -n '74p' $HOME/2_Wunderground/hourly |cut -c12-16}\
${goto 270}${execpi 600 sed -n '147p' $HOME/2_Wunderground/hourly |cut -c12-16}$color
${voffset -17}
${goto 70}${execpi 600 sed -n '7p' $HOME/2_Wunderground/hourly}°\
${goto 180}${execpi 600 sed -n '80p' $HOME/2_Wunderground/hourly}°\
${goto 300}${execpi 600 sed -n '153p' $HOME/2_Wunderground/hourly}°  

    ${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/h1.png 20  248 40 40}\
    ${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/h2.png 140 248 40 40}\
    ${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/h3.png 260 248 40 40}\

${voffset -50}
${goto 70}( ${execpi 600 sed -n '15p' $HOME/2_Wunderground/hourly}° )\
${goto 180}( ${execpi 600 sed -n '88p' $HOME/2_Wunderground/hourly}° )\
${goto 300}( ${execpi 600 sed -n '161p' $HOME/2_Wunderground/hourly}° )
${voffset -4}${font Liberation Sans:size=8}
${goto 10}${execpi  600 sed -n '51p' $HOME/2_Wunderground/hourly } @ ${execpi 600 sed -n '47p' $HOME/2_Wunderground/hourly } km/h\
${goto 130}${execpi 600 sed -n '124p' $HOME/2_Wunderground/hourly} @ ${execpi 600 sed -n '120p' $HOME/2_Wunderground/hourly} km/h\
${goto 250}${execpi 600 sed -n '197p' $HOME/2_Wunderground/hourly} @ ${execpi 600 sed -n '193p' $HOME/2_Wunderground/hourly} km/h
${voffset -10}
  ${goto 4}${scroll 20 ${execpi 600 sed -n '29p' $HOME/2_Wunderground/hourly}}\
${goto 130}${scroll 20 ${execpi 600 sed -n '102p' $HOME/2_Wunderground/hourly}}\
${goto 250}${scroll 20 ${execpi 600 sed -n '175p' $HOME/2_Wunderground/hourly}}
${hr 1}
${voffset -10}${color1}${execi 1800 bash $HOME/conky-meteo-dark_sky/3b1}
${alignc}${execi 600 cat $HOME/conky-meteo-dark_sky/rawdata | jq --raw-output '.daily.summary' | cut -c1-61}
${alignc}${execi 600 cat $HOME/conky-meteo-dark_sky/rawdata | jq --raw-output '.daily.summary' | cut -c62-160}

${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/current.png 40 60 60 60}
${lua fDrawImage $HOME/2_Wunderground/v1.png 220 20 50 50}
${lua fDrawImage $HOME/2_Wunderground/Forecast_Images/Moon_phase.png 220 100 50 50}
${voffset -800}
]];

@+

Last edited by loutch (2020-04-30 19:04:22)


Linuxmint 19.1 Tessa cinnamon & mageia 7 mate on ssd hp pavilion g7
Xubuntu 18.04 lts & 20.04 lts on ASUS Rog STRIX

Offline

#3421 2020-04-30 19:10:32

ceeslans
Member
Registered: 2015-09-30
Posts: 93

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

TeoBigusGeekus wrote:

@loutch
...
@everyone else
Do we have a verdict about the necessary packages on Debian for the weather.com script to work?

MX-19.1 (Debian10 based) is running imagemagick version 8:6.9.10.23+dfsg-2.1 --> so practically same as @unklar's version in sid(uction).
But the svg-to-png conversion definitely requires libmagickcore-6.q16-6-extra.
AND it still needs inkscape to be installed. I dont like that, but unless its error-free conversion dependencies are identified, this is the only option for us Debian10 users...

Offline

#3422 2020-04-30 20:39:12

TeoBigusGeekus
BL DieHard
From: /Greece/Kastoria
Registered: 2015-10-04
Posts: 1,413

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Hmmm...

[[Time:23:35 Location:~/Desktop]]
$ pacman -Q |grep magick
imagemagick 7.0.10.10-1
libmagick6 6.9.11.10-1
[[Time:23:35 Location:~/Desktop]]
$ pacman -Q |grep dfsg
[[Time:23:36 Location:~/Desktop]]
$ pacman -Q |grep inkscape
[[Time:23:37 Location:~/Desktop]]

Last edited by TeoBigusGeekus (2020-04-30 20:40:09)


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#3423 2020-05-01 10:27:27

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Under BL-Lithium (Buster) are installed here:

inkscape                      0.92.4-3

imagemagick                   8:6.9.10.23+dfsg-2.1
imagemagick-6.q16             8:6.9.10.23+dfsg-2.1
imagemagick-6-common          8:6.9.10.23+dfsg-2.1

libmagick++-6.q16-8           8:6.9.10.23+dfsg-2.1
libmagickcore-6.q16-6-extra   8:6.9.10.23+dfsg-2.1
libmagickwand-6.q16-6         8:6.9.10.23+dfsg-2.1
libmagickcore-6.q16-6         8:6.9.10.23+dfsg-2.1

Images are displayed correctly.
It is therefore important to find out after which uninstallation of packages the error occurs again.  monkey

Offline

#3424 2020-05-01 12:50:55

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

So, as in siduction, I first purged inkscape and removed all other "dependencies" with autoremove.

 sudo apt purge inkscape
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libcdr-0.1-1 libgsl23 libgslcblas0 libgtkspell0 libimage-magick-perl libimage-magick-q16-perl libmagick++-6.q16-8 libmicrodns0 libpotrace0 libvisio-0.1-1
  python-backports.functools-lru-cache python-bs4 python-html5lib python-lxml python-scour python-soupsieve python-webencodings python3-scour scour
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  inkscape*
0 aktualisiert, 0 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
Nach dieser Operation werden 80,4 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] 
(Lese Datenbank ... 159405 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von inkscape (0.92.4-3) ...
Trigger für mime-support (3.62) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.17-2) werden verarbeitet ...
Trigger für man-db (2.8.5-2) werden verarbeitet ...
Trigger für desktop-file-utils (0.23-4) werden verarbeitet ...
(Lese Datenbank ... 158558 Dateien und Verzeichnisse sind derzeit installiert.)
Löschen der Konfigurationsdateien von inkscape (0.92.4-3) ...
sudo apt autoremove
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete werden ENTFERNT:
  libcdr-0.1-1 libgsl23 libgslcblas0 libgtkspell0 libimage-magick-perl libimage-magick-q16-perl libmagick++-6.q16-8 libmicrodns0 libpotrace0 libvisio-0.1-1
  python-backports.functools-lru-cache python-bs4 python-html5lib python-lxml python-scour python-soupsieve python-webencodings python3-scour scour
0 aktualisiert, 0 neu installiert, 19 zu entfernen und 0 nicht aktualisiert.
Nach dieser Operation werden 12,3 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] 
(Lese Datenbank ... 158558 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von libcdr-0.1-1:amd64 (0.1.5-1) ...
Entfernen von libgsl23:amd64 (2.5+dfsg-6) ...
Entfernen von libgslcblas0:amd64 (2.5+dfsg-6) ...
Entfernen von libgtkspell0:amd64 (2.0.16-1.2) ...
Entfernen von libimage-magick-perl (8:6.9.10.23+dfsg-2.1) ...     ++++
Entfernen von libimage-magick-q16-perl (8:6.9.10.23+dfsg-2.1) ... ++++
Entfernen von libmagick++-6.q16-8:amd64 (8:6.9.10.23+dfsg-2.1) ...++++
Entfernen von libmicrodns0:amd64 (0.0.10-1) ...
Entfernen von libpotrace0:amd64 (1.15-1) ...
Entfernen von libvisio-0.1-1:amd64 (0.1.6-1+b2) ...
Entfernen von python-bs4 (4.7.1-1) ...
Entfernen von python-soupsieve (1.8+dfsg-1) ...
Entfernen von python-backports.functools-lru-cache (1.5-3) ...
Entfernen von python-html5lib (1.0.1-1) ...
Entfernen von python-lxml:amd64 (4.3.2-1) ...
Entfernen von python-scour (0.37-2) ...                          ++++          gir1.2-rsvg-2.0
Entfernen von python-webencodings (0.5.1-1) ...
Entfernen von scour (0.37-2) ...                                 ++++
Entfernen von python3-scour (0.37-2) ...                         ++++
Trigger für man-db (2.8.5-2) werden verarbeitet ...
Trigger für libc-bin (2.28-10) werden verarbeitet ...

Teo, it is so that the images in Forecast_Images are no longer available. Only the text is there.

Also the attempt, by partially installing suspected dependencies leads to no success. (marked with ++++)
Definitely in Buster the package inkscape is necessary.  smile
Probably until the changes in sid(uction) are reflected in Buster.

Offline

#3425 2020-05-01 17:58:09

unklar
Member
Registered: 2015-10-31
Posts: 1,264

Re: Conky weather+moon scripts (Accuw/WUndergr/Weather.com/NWS/MoonGiant)

Teo, I have another sid(uction) installation with LXDE (and conky1.9  big_smile ). This one has never seen your weather_com_conky_script and therefore no inkscape.

Here inkscape in the version

apt policy inkscape
inkscape:
  Installiert:           1.0~rc1-4
  Installationskandidat: 1.0~rc1-4
  Versionstabelle:
 *** 1.0~rc1-4 500
        500 http://httpredir.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status

installed. And, although all other imagemagick packages are installed, the images in Forecast_Image are not created.

I am increasingly coming to the conclusion that Debian is a Python problem in this case...   wink

see

apt install inkscape
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gstreamer1.0-gl gstreamer1.0-plugins-bad
  libgraphene-1.0-0 libgstreamer-gl1.0-0 libsrt1 libsrtp2-1 libusrsctp1 libwildmidi2
  python-gst-1.0
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  fig2dev libcdr-0.1-1 libgdl-3-5 libgdl-3-common libgtkspell3-3-0 libimage-magick-perl
  libimage-magick-q16-perl libmagick++-6.q16-8 libnetpbm10 libpotrace0 librevenge-0.0-0
  libvisio-0.1-1 libwmf-bin libwpd-0.10-10 libwpg-0.3-3 netpbm python3-bs4 python3-html5lib
  python3-lxml python3-numpy python3-scour python3-soupsieve python3-webencodings
Vorgeschlagene Pakete:
  xfig dia inkscape-tutorials libsvg-perl libxml-xql-perl pstoedit python3-uniconvertor
  imagemagick-doc python3-genshi python3-lxml-dbg python-lxml-doc gfortran python-numpy-doc
  python3-dev python3-pytest python3-numpy-dbg
Die folgenden Pakete werden ENTFERNT:
  python-lxml radiotray
Die folgenden NEUEN Pakete werden installiert:
  fig2dev inkscape libcdr-0.1-1 libgdl-3-5 libgdl-3-common libgtkspell3-3-0 libimage-magick-perl
  libimage-magick-q16-perl libmagick++-6.q16-8 libnetpbm10 libpotrace0 librevenge-0.0-0
  libvisio-0.1-1 libwmf-bin libwpd-0.10-10 libwpg-0.3-3 netpbm python3-bs4 python3-html5lib
  python3-lxml python3-numpy python3-scour python3-soupsieve python3-webencodings
0 aktualisiert, 24 neu installiert, 2 zu entfernen und 1 nicht aktualisiert.
Es müssen 23,8 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 113 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]

Last edited by unklar (2020-05-01 18:05:56)

Offline

Board footer

Powered by FluxBB